Update the "sync to maven central" CI job so that it can be rerun if
necessary. We now first check if artifacts are already published before
triggering the sync from Bintray.
Closes gh-16866
@ -16,5 +28,7 @@ echo "Syncing ${buildName}/${buildNumber} to Maven Central"
-f \
-f \
-X \
-X \
POST "https://api.bintray.com/maven_central_sync/${BINTRAY_SUBJECT}/${BINTRAY_REPO}/${groupId}/versions/${version}" > /dev/null ||{echo"Failed to sync" >&2;exit 1;}
POST "https://api.bintray.com/maven_central_sync/${BINTRAY_SUBJECT}/${BINTRAY_REPO}/${groupId}/versions/${version}" > /dev/null ||{echo"Failed to sync" >&2;exit 1;}